Dynamic links
Delete a dynamic link
The link stops working, with its click history.
DELETE
/
deep-links
/
{id}
Delete a dynamic link
curl --request DELETE \
--url https://shortext.ny-corp.io/api/v2.0/deep-links/{id} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://shortext.ny-corp.io/api/v2.0/deep-links/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://shortext.ny-corp.io/api/v2.0/deep-links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://shortext.ny-corp.io/api/v2.0/deep-links/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true,
"code": 1000,
"message": "Request success.",
"body": {
"id": "DLK-XXXXX",
"name": "<string>",
"short_code": "promo-oct",
"link": "https://shortext.ny-corp.io/s/promo-oct",
"deep_link": "<string>",
"fallback_url": "<string>",
"description": "<string>",
"expire_at": "2023-11-07T05:31:56Z",
"android_platform": {
"id": "<string>",
"agent_id": "<string>",
"platform": "android",
"app_name": "<string>",
"app_identifier": "com.example.shop",
"ios_team_id": "<string>",
"android_sha256_fingerprint": "<string>",
"store_url": "<string>"
},
"ios_platform": {
"id": "<string>",
"agent_id": "<string>",
"platform": "android",
"app_name": "<string>",
"app_identifier": "com.example.shop",
"ios_team_id": "<string>",
"android_sha256_fingerprint": "<string>",
"store_url": "<string>"
},
"clicks": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"token": "<string>",
"trace_id": "<string>"
}Autorisations
Company API key, sent as Authorization: Bearer <key>. Create it in the dashboard (Developer > API Keys) with the permissions the integration needs.
Paramètres de chemin
Réponse
200 - application/json
The deleted DeepLink
⌘I
Delete a dynamic link
curl --request DELETE \
--url https://shortext.ny-corp.io/api/v2.0/deep-links/{id} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://shortext.ny-corp.io/api/v2.0/deep-links/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://shortext.ny-corp.io/api/v2.0/deep-links/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://shortext.ny-corp.io/api/v2.0/deep-links/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"success": true,
"code": 1000,
"message": "Request success.",
"body": {
"id": "DLK-XXXXX",
"name": "<string>",
"short_code": "promo-oct",
"link": "https://shortext.ny-corp.io/s/promo-oct",
"deep_link": "<string>",
"fallback_url": "<string>",
"description": "<string>",
"expire_at": "2023-11-07T05:31:56Z",
"android_platform": {
"id": "<string>",
"agent_id": "<string>",
"platform": "android",
"app_name": "<string>",
"app_identifier": "com.example.shop",
"ios_team_id": "<string>",
"android_sha256_fingerprint": "<string>",
"store_url": "<string>"
},
"ios_platform": {
"id": "<string>",
"agent_id": "<string>",
"platform": "android",
"app_name": "<string>",
"app_identifier": "com.example.shop",
"ios_team_id": "<string>",
"android_sha256_fingerprint": "<string>",
"store_url": "<string>"
},
"clicks": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"token": "<string>",
"trace_id": "<string>"
}